%define LANG hu
%define version 0.1.0
%define release 3mdk

%define tar_ver 991001

Summary: Hungarian manual pages
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Internationalization
Source: http://goliat.eik.bme.hu/~emese/manpages-hu-%{tar_ver}.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.xpm
URL: http://goliat.eik.bme.hu/~emese/
Buildroot: /var/tmp/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description 
Hungarian translations of Linux manual pages: this package includes not
only those from the LDP, but also translations of other popular
man-pages.

%prep
%setup -n usr
#%setup -n manpages-%{LANG}
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

find man/hu -type f -name "*.gz" -exec gunzip {} \;

for i in 1   3   5   7 8; do
	cp -avrf man/hu/man$i $RPM_BUILD_ROOT/usr/man/%{LANG}/
done

find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/usr/man/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /usr/man/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /usr/man/%{LANG}
   if [ ! -d /usr/man/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,2755)
#%doc CHANGES README COPYRIGHT
%dir /usr/man/%{LANG}
/usr/man/%{LANG}/man*
%ghost /usr/man/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.1.0-3mdk
- convert to new group scheme
- add "Prereq: sed grep man"

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Mon Oct 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm for Mandrake

